<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_f920f0bf40dcf69c4daab1426e056" . "4d6" => base64_decode("V3JvbmcgcGFyY" . "W1ldGVycw=="), "_11ff9bccdcd23cd6bf9d" . "92884ea6cc39" => base64_decode("Li4vY29tbW9uL2Nv" . "bm5lY3QucGhw"), "_605dec66b" . "bd43fd43b6" . "b2abff58a6" . "2ef" => base64_decode("bmF0a" . "XZl"), "_f705bcbe95577" . "15c78f11a9a576" . "dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9s" . "ZGVyL3BsYWNlaG9sZGVy" . "LnBuZw=="), "i" . "d" => base64_decode("aW" . "Q="), "_2e062cfc1018" . "3d31f0f0848e5" . "9bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW5" . "zaW9u"), "ac" . "ti" . "on" => base64_decode("YWN" . "0aW" . "9u"), "_23e3a19ac3ae2de10c" . "19a9b0017556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0" . "IGV4aXN0"), "_5717b327f1f9b8b82a4c07e8" . "006c2719" => base64_decode("c" . "G" . "5" . "n"), "_e20b559a1b414495c43a4fbbf2e50" . "15e" => base64_decode("aHR0cF9zZW5kX2ZpbGU" . "="), "_2713fc125a2798f" . "62a71e9066f396da" . "7" => base64_decode("Li4vY29tbW" . "9uL2ZpbGVz" . "eXN0ZW0ucG" . "hw"), "_a62d761f3e83" . "1ff9d9da39f9c" . "26ecddc" => base64_decode("Li4vY29t" . "bW9uL2Nv" . "cmUucGhw"), "_4be135064c4d55c13e6af" . "60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW9u" . "cw=="), "pr" . "ef" . "ix" => base64_decode("cHJlZml" . "4"), "_3be5fb55318614a35b11119662d2e16" . "9" => base64_decode("cGxhY2Vob2xk" . "ZXI="), "_af66268e41c5634df3c88007939" . "cbf33" => base64_decode("ZG93b" . "mxvYW" . "Q="), "_3ce655ae4a14421967cc023a6e90" . "7ed5" => base64_decode("aXN" . "fZm" . "lsZ" . "Q=="), "_c330b85d625b10fb446f351cc" . "78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoYXJ" . "hY3RlcnM="), "_4d707fab93bebb00bbe69e815969" . "7c90" => base64_decode(""), "_20a7dc9160360d28b22" . "7a735cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvbn" . "N0YXJ0LnBocA=="), "_3d0fad80d1698b9bcb5742bda96db9f" . "8" => base64_decode("Tm8" . "gcm" . "lna" . "HRz"));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_20a7dc9160360d" . "28b227a735cd62a" . "71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a62d761f3e831ff9d9da39f9c26ecdd" . "c"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_11ff9bccdcd23cd6" . "bf9d92884ea6cc39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2713fc12" . "5a2798f62" . "a71e9066f" . "396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["pref" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["acti" . "on"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f920f0bf40dcf69c4daab1426e0564d" . "6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_605dec66bbd43fd43" . "b6b2abff58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_f705bcbe9557715c78f11a9" . "a576dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_3be5fb55318614a35b11119662d2e16" . "9"];
$placeholder_type = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5717b327f1f9b8b82a4c07e8006c271" . "9"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_605dec66bbd43fd43b6b2abff58a62" . "ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4be135064c4d55c13e6af60c" . "45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3d0fad80d1698b9bcb5742bda96db" . "9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3ce655ae4a" . "14421967cc0" . "23a6e907ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_23e3a19ac3ae" . "2de10c19a9b00" . "17556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_2e062cfc10183d31f0f0" . "848e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4d707fab93bebb00b" . "be69e8159697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c330b85d625b10fb44" . "6f351cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e20b559a1b414495" . "c43a4fbbf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_af66268e41c5634df3c88007939cbf3" . "3"] ? DOWNLOAD : INLINE);